%global tag0 VERSION_%{version}

Name:           signon
Version:        8.61
Release:        1
Summary:        Accounts framework for Linux and POSIX based platforms

License:        LGPLv2
URL:            https://gitlab.com/accounts-sso/signond

Source0:        https://gitlab.com/accounts-sso/signond/repository/archive.tar.gz?ref=%{tag0}#/%{name}-%{version}.tar.gz
Patch1:         signon-8.57-no_static.patch
#Patch2:         signond-cxxflags.patch

BuildRequires:  make
BuildRequires:  dbus-x11
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  graphviz
BuildRequires:  libproxy-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  time

Obsoletes:      signon-qt5 < 8.57-5
Provides:       signon-qt5 = %{version}-%{release}
Provides:       signond = %{version}-%{release}

Conflicts:      gsignond

Requires:       dbus

%description
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       signond-devel = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description doc
The %{name}-doc package contains documentation for %{name}.


%prep
%setup -q -n signond-%{tag0}
%patch1 -p1 -b .no_static
#%patch2 -p1 -b .cxxflags


%build
sed -i "s/qdbusxml2cpp/qdbusxml2cpp-qt5/" src/signond/signond.pro

export PATH=%{_qt5_bindir}:$PATH

# out-of-src tree build fails
%qmake_qt5 signon.pro \
  CONFIG+=release \
  QMF_INSTALL_ROOT=%{_prefix} LIBDIR=%{_libdir}
%make_build


%install
make install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_libdir}/extensions/


%check
time \
make check ||:


%ldconfig_scriptlets

%files
%license COPYING
%config(noreplace) %{_sysconfdir}/signond.conf
%{_bindir}/signond
%{_bindir}/signonpluginprocess
%{_libdir}/libsignon-extension.so.1*
%{_libdir}/libsignon-plugins-common.so.1*
%{_libdir}/libsignon-plugins.so.1*
%{_libdir}/libsignon-qt5.so.1*
%{_libdir}/signon/
%{_datadir}/dbus-1/services/*.service

%files devel
%{_includedir}/signon-extension/
%{_includedir}/signon-plugins/
%{_includedir}/signon-qt5/
%{_includedir}/signond/
%{_libdir}/cmake/SignOnQt5/
%{_libdir}/libsignon-extension.so
%{_libdir}/libsignon-plugins-common.so
%{_libdir}/libsignon-plugins.so
%{_libdir}/libsignon-qt5.so
%{_libdir}/pkgconfig/SignOnExtension.pc
%{_libdir}/pkgconfig/libsignon-qt5.pc
%{_libdir}/pkgconfig/signon-plugins-common.pc
%{_libdir}/pkgconfig/signon-plugins.pc
%{_libdir}/pkgconfig/signond.pc

%files doc
%{_docdir}/signon/
%{_docdir}/libsignon-qt/
%{_docdir}/signon-plugins/
%{_docdir}/signon-plugins-dev/


%changelog
* Thu Jan 04 2024 zhangxingrong <zhangxingrong@uniontech.com> - 8.61-1
- upgrade to 8.61

* Thu Jul 14 2022 misaka00251 <misaka00251@misakanet.cn> - 8.60-1
- Init package
